#!/bin/bash

cd $(dirname $0)

annodir=$(readlink -f .)
codebase=$(readlink -f ..)

source $codebase/setup.sh

set -euo pipefail

#download and set up the reference genomes, annotations, index files required to process the sample datasets

#hg19
bash $annodir/hg19_annot.sh $annodir/hg19/ $annodir/hg19_annot.txt hg19 $codebase
bash $annodir/split_dbsnp.sh $annodir/hg19/snp137.txt $codebase
wget -P hg19 ftp://hgdownload.cse.ucsc.edu/goldenPath/hg19/bigZips/hg19.2bit
twoBitToFa $annodir/hg19/hg19.2bit $annodir/hg19/hg19.fa
reference=$(echo $annodir/hg19/hg19.fa |sed -e 's/\//\\\//g')
sed -i -e "s/^hg19:.*/hg19: $reference/g" $codebase/configs/genome.cfg
sed -i -e "s/^hg19:.*/hg19: $reference/g" $codebase/configs/transcriptome.cfg
#bwa index $annodir/hg19/hg19.fa
gmap_build -d hg19 $annodir/hg19/hg19.fa -D $annodir/hg19

#hg18
bash $annodir/hg18_annot.sh $annodir/hg18/ $annodir/hg18_annot.txt hg18 $codebase
bash $annodir/split_dbsnp.sh $annodir/hg18/snp130.txt $codebase
wget -P hg18 ftp://hgdownload.cse.ucsc.edu/goldenPath/hg18/bigZips/hg18.2bit
twoBitToFa $annodir/hg18/hg18.2bit $annodir/hg18/hg18.fa
reference=$(echo $annodir/hg18/hg18.fa |sed -e 's/\//\\\//g')
sed -i -e "s/^hg18:.*/hg18: $reference/g" $codebase/configs/genome.cfg
sed -i -e "s/^hg18:.*/hg18: $reference/g" $codebase/configs/transcriptome.cfg
bwa index $annodir/hg18/hg18.fa
#gmap_build -d hg18 $annodir/hg18/hg18.fa -D $annodir/hg18
