#! /bin/bash

source /projects/btl/trans-abyss/test2/v1.4.8/setup.sh

ulimit -c 1000
set -euo pipefail

echo "Job started at: $(date)"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

cd /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs
bwa index /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.fa
touch /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.fa.INDEX.COMPLETE
bwa mem -t 12 /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.fa /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/reads/1.dnaseq_1.fq /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/reads/2.dnaseq_2.fq| ta-sam_strip_qual.awk | samtools view -hSu - | samtools sort -m 1600000000 - /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/1.dnaseq_1.fq.incomplete
samtools index /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/1.dnaseq_1.fq.incomplete.bam
mv /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/1.dnaseq_1.fq.incomplete.bam.bai /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/1.dnaseq_1.fq.bam.bai
mv /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/1.dnaseq_1.fq.incomplete.bam /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/1.dnaseq_1.fq.bam
ln -sf 1.dnaseq_1.fq.bam.bai /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.bam.bai
ln -sf 1.dnaseq_1.fq.bam /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.bam
touch /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/R2C.COMPLETE
rm -f /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.fa.fai /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.fa.amb /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.fa.ann /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.fa.bwt /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.fa.pac /projects/btl/trans-abyss/test2/v1.4.8/sample_dataset/workdir/transabyss_output/test_genome/trans-abyss-v1.4.8/reads_to_contigs/test_genome-contigs.fa.sa

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "Job ended at:   $(date)"
