#!/bin/bash

set -euo pipefail

cd $(dirname "$0")

libdir=abyss_assemblies/test_genome
mkdir -p $libdir

fastq1=$TRANSABYSS_PATH/sample_dataset/reads/dnaseq_1.fq
fastq2=$TRANSABYSS_PATH/sample_dataset/reads/dnaseq_2.fq

for k in 27 37
do
    echo Assembling k$k unitigs with ABySS...
    kdir=$libdir/k$k
    mkdir -p $kdir
    abyss-pe -C $kdir k=$k \
        name='test_genome' \
        in="$fastq1 $fastq2" \
        unitigs	
    echo
done

k=47
echo Assembling k$k contigs with ABySS...
kdir=$libdir/k$k
mkdir -p $kdir
abyss-pe -C $kdir k=$k \
    name='test_genome' \
    se='../k27/test_genome-unitigs.fa ../k37/test_genome-unitigs.fa' \
    in="$fastq1 $fastq2" \
    mp=''
echo

echo $fastq1 > $libdir/in
echo $fastq2 >> $libdir/in
