#!/bin/bash

set -euo pipefail

cd $(dirname "$0")

libdir=abyss_assemblies/test_transcriptome
mkdir -p $libdir

fastq1=$TRANSABYSS_PATH/sample_dataset/reads/rnaseq_1.fq
fastq2=$TRANSABYSS_PATH/sample_dataset/reads/rnaseq_2.fq

for k in 64 69 74
do
    echo Assembling k$k with ABySS...
    kdir=$libdir/k$k
    mkdir -p $kdir
    abyss-pe -C $kdir k=$k \
        name='test_transcriptome' \
        in="$fastq1 $fastq2" \
		E=0 n=5 \
        OVERLAP_OPTIONS='--no-scaffold' SIMPLEGRAPH_OPTIONS='--no-scaffold' \
		MERGEPATHS_OPTIONS='--greedy' \
		mp=''
    echo
done

echo $fastq1 > $libdir/in
echo $fastq2 >> $libdir/in
